diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wimax/model/wimax-mac-queue.h ns-3.44/src/wimax/model/wimax-mac-queue.h
--- ns-3.43/src/wimax/model/wimax-mac-queue.h	2024-10-09 16:41:10.148656800 -0700
+++ ns-3.44/src/wimax/model/wimax-mac-queue.h	2025-03-09 16:55:49.819372700 -0700
@@ -23,159 +23,159 @@
 {
 
 /**
- * \ingroup wimax
+ * @ingroup wimax
  * Class implementing the device packet queue
  */
 class WimaxMacQueue : public Object
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     WimaxMacQueue();
     /**
      * Constructor
      *
-     * \param maxSize maximum size of queue
+     * @param maxSize maximum size of queue
      */
     WimaxMacQueue(uint32_t maxSize);
     ~WimaxMacQueue() override;
     /**
-     * \brief set the maximum queue size
-     * \param maxSize the max queue size
+     * @brief set the maximum queue size
+     * @param maxSize the max queue size
      */
     void SetMaxSize(uint32_t maxSize);
     /**
-     * \return the maximum queue size
+     * @return the maximum queue size
      */
     uint32_t GetMaxSize() const;
     /**
-     * \brief Enqueue a packet
-     * \param packet the packet to enqueue
-     * \param hdrType the mac header type of the packet
-     * \param hdr the header of the packet
-     * \return true if successful
+     * @brief Enqueue a packet
+     * @param packet the packet to enqueue
+     * @param hdrType the mac header type of the packet
+     * @param hdr the header of the packet
+     * @return true if successful
      */
     bool Enqueue(Ptr<Packet> packet, const MacHeaderType& hdrType, const GenericMacHeader& hdr);
     /**
-     * \brief Dequeue a packet of type packetType from the queue
-     * \param packetType the type of the packet
-     * \return the first packet in the queue
+     * @brief Dequeue a packet of type packetType from the queue
+     * @param packetType the type of the packet
+     * @return the first packet in the queue
      */
     Ptr<Packet> Dequeue(MacHeaderType::HeaderType packetType);
     /**
-     * \brief Dequeue a fragment of size availableByte from the queue
-     * \param packetType the type of the packet
-     * \param availableByte the size of the fragment
-     * \return the first packet in the queue if its size is lower than availableByte, the first
+     * @brief Dequeue a fragment of size availableByte from the queue
+     * @param packetType the type of the packet
+     * @param availableByte the size of the fragment
+     * @return the first packet in the queue if its size is lower than availableByte, the first
      * availableByte of the first packet otherwise
      */
     Ptr<Packet> Dequeue(MacHeaderType::HeaderType packetType, uint32_t availableByte);
 
     /**
-     * \brief Exclusively for BS.
+     * @brief Exclusively for BS.
      *  Two versions of Peek function (with Generic MAC Header as parameter) only
      *  for BS, as BS's scheduler needs to know the CID in Generic MAC Header.
-     * \param hdr the header of the packet
-     * \return the first packet in the queue
+     * @param hdr the header of the packet
+     * @return the first packet in the queue
      */
     Ptr<Packet> Peek(GenericMacHeader& hdr) const;
     /**
-     * \brief Exclusively for BS.
+     * @brief Exclusively for BS.
      *  Two versions of Peek function (with Generic MAC Header as parameter) only
      *  for BS, as BS's scheduler needs to know the CID in Generic MAC Header.
-     * \param hdr the header of the packet
-     * \param timeStamp the timestamp of the packet
-     * \return the first packet in the queue
+     * @param hdr the header of the packet
+     * @param timeStamp the timestamp of the packet
+     * @return the first packet in the queue
      */
     Ptr<Packet> Peek(GenericMacHeader& hdr, Time& timeStamp) const;
 
     /**
-     * \brief Two versions for SS without Generic MAC Header parameter, as SS's
+     * @brief Two versions for SS without Generic MAC Header parameter, as SS's
      *  scheduler does not require to know the CID in Generic MAC Header.
-     * \param packetType the type of the packet
-     * \return the first packet in the queue
+     * @param packetType the type of the packet
+     * @return the first packet in the queue
      */
     Ptr<Packet> Peek(MacHeaderType::HeaderType packetType) const;
     /**
-     * \brief Two versions for SS without Generic MAC Header parameter, as SS's
+     * @brief Two versions for SS without Generic MAC Header parameter, as SS's
      *  scheduler does not require to know the CID in Generic MAC Header.
-     * \param packetType the type of the packet
-     * \param timeStamp the timestamp of the packet
-     * \return the first packet in the queue
+     * @param packetType the type of the packet
+     * @param timeStamp the timestamp of the packet
+     * @return the first packet in the queue
      */
     Ptr<Packet> Peek(MacHeaderType::HeaderType packetType, Time& timeStamp) const;
 
     /**
      * Check if queue is empty
-     * \returns true if empty
+     * @returns true if empty
      */
     bool IsEmpty() const;
 
     /**
      * Exclusively for SS.
-     * \return true if queue is empty of type packetType
-     * \param packetType packet type to check
+     * @return true if queue is empty of type packetType
+     * @param packetType packet type to check
      */
     bool IsEmpty(MacHeaderType::HeaderType packetType) const;
 
     /**
      * Get size of queue
-     * \returns the size
+     * @returns the size
      */
     uint32_t GetSize() const;
     /**
      * Get number of bytes in queue
-     * \returns the number of bytes
+     * @returns the number of bytes
      */
     uint32_t GetNBytes() const;
 
     /**
      * Check for fragmentation of the first packet of the specified type
-     * \param packetType the packet type
-     * \returns true if fragmented
+     * @param packetType the packet type
+     * @returns true if fragmented
      */
     bool CheckForFragmentation(MacHeaderType::HeaderType packetType);
     /**
      * Get first packet header size of the specified type
-     * \param packetType the packet type
-     * \returns the first packet header size
+     * @param packetType the packet type
+     * @returns the first packet header size
      */
     uint32_t GetFirstPacketHdrSize(MacHeaderType::HeaderType packetType);
     /**
      * Get first packet payload size of the specified type
-     * \param packetType the packet type
-     * \returns the first packet payload size
+     * @param packetType the packet type
+     * @returns the first packet payload size
      */
     uint32_t GetFirstPacketPayloadSize(MacHeaderType::HeaderType packetType);
     /**
      * Get required number of bytes to hold first packet of packetType
-     * \param packetType the packet type
-     * \returns the sum of the first packet header and payload (of specified type)
+     * @param packetType the packet type
+     * @returns the sum of the first packet header and payload (of specified type)
      */
     uint32_t GetFirstPacketRequiredByte(MacHeaderType::HeaderType packetType);
     /**
      * Get queue length considering also the MAC overhead
-     * \return queue length
+     * @return queue length
      */
     uint32_t GetQueueLengthWithMACOverhead();
     /// Set fragmentation function
     /**
      * Set fragmentation state for first packet of type packetType
-     * \param packetType packetType to check
+     * @param packetType packetType to check
      */
     void SetFragmentation(MacHeaderType::HeaderType packetType);
     /**
      * Set fragment number for first packet of type packetType
-     * \param packetType packetType to check
+     * @param packetType packetType to check
      */
     void SetFragmentNumber(MacHeaderType::HeaderType packetType);
     /**
      * Set fragment offset for first packet of type packetType
-     * \param packetType packetType to check
-     * \param offset offset value to set
+     * @param packetType packetType to check
+     * @param offset offset value to set
      */
     void SetFragmentOffset(MacHeaderType::HeaderType packetType, uint32_t offset);
 
@@ -186,10 +186,10 @@
         /**
          * Constructor
          *
-         * \param packet the packet
-         * \param hdrType MAC header type
-         * \param hdr MAC header
-         * \param timeStamp time stamp
+         * @param packet the packet
+         * @param hdrType MAC header type
+         * @param hdr MAC header
+         * @param timeStamp time stamp
          */
         QueueElement(Ptr<Packet> packet,
                      const MacHeaderType& hdrType,
@@ -197,7 +197,7 @@
                      Time timeStamp);
         /**
          * Get size function
-         * \returns the size
+         * @returns the size
          */
         uint32_t GetSize() const;
         Ptr<Packet> m_packet;    ///< packet
@@ -221,7 +221,7 @@
         void SetFragmentNumber();
         /**
          * Set fragment offset
-         * \param offset the offset
+         * @param offset the offset
          */
         void SetFragmentOffset(uint32_t offset);
     };
@@ -233,13 +233,13 @@
      functions are for this purpose exclusively. The Front function returns the first packet of a
      specific packet type from the queue (which may not necessarily be at the front of the queue),
      and the Pop function pops that elements.
-     * \param packetType the type of the packet
-     * \returns the first packet in the queue of the specified type
+     * @param packetType the type of the packet
+     * @returns the first packet in the queue of the specified type
      */
     WimaxMacQueue::QueueElement Front(MacHeaderType::HeaderType packetType) const;
     /**
      * Pop function
-     * \param packetType the packet type
+     * @param packetType the packet type
      */
     void Pop(MacHeaderType::HeaderType packetType);
 
@@ -257,7 +257,7 @@
   public:
     /**
      * Get packet queue function
-     * \returns the packet queue
+     * @returns the packet queue
      */
     const WimaxMacQueue::PacketQueue& GetPacketQueue() const;
 };
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wimax/model/wimax-mac-to-mac-header.h ns-3.44/src/wimax/model/wimax-mac-to-mac-header.h
--- ns-3.43/src/wimax/model/wimax-mac-to-mac-header.h	2024-10-09 16:41:10.148656800 -0700
+++ ns-3.44/src/wimax/model/wimax-mac-to-mac-header.h	2025-03-09 16:55:49.819372700 -0700
@@ -17,8 +17,8 @@
 {
 
 /**
- * \ingroup wimax
- * \brief this class implements the mac to mac header needed to dump a wimax pcap file
+ * @ingroup wimax
+ * @brief this class implements the mac to mac header needed to dump a wimax pcap file
  * The header format was reverse-engineered by looking  at existing live pcap traces which
  * could be opened with wireshark  i.e., we have no idea where this is coming from.
  */
@@ -30,13 +30,13 @@
     /**
      * Constructor
      *
-     * \param len length
+     * @param len length
      */
     WimaxMacToMacHeader(uint32_t len);
 
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     TypeId GetInstanceTypeId() const override;
@@ -45,7 +45,7 @@
     uint32_t Deserialize(Buffer::Iterator start) override;
     /**
      * Get size of length field
-     * \returns the size of length field
+     * @returns the size of length field
      */
     uint8_t GetSizeOfLen() const;
     void Print(std::ostream& os) const override;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wimax/model/wimax-net-device.h ns-3.44/src/wimax/model/wimax-net-device.h
--- ns-3.43/src/wimax/model/wimax-net-device.h	2024-10-09 16:41:10.148656800 -0700
+++ ns-3.44/src/wimax/model/wimax-net-device.h	2025-03-09 16:55:49.819372700 -0700
@@ -43,14 +43,14 @@
 class UplinkScheduler;
 
 /**
- * \defgroup wimax WiMAX Models
+ * @defgroup wimax WiMAX Models
  * This section documents the API of the ns-3 wimax module. For a generic functional description,
  * please refer to the ns-3 manual.
  */
 
 /**
- * \brief Hold together all WiMAX-related objects in a NetDevice.
- * \ingroup wimax
+ * @brief Hold together all WiMAX-related objects in a NetDevice.
+ * @ingroup wimax
  *
  * This class holds together ns3::WimaxPhy, ns3::WimaxConnection,
  * ns3::ConnectionManager, ns3::BurstProfileManager, and
@@ -76,160 +76,160 @@
     };
 
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     WimaxNetDevice();
     ~WimaxNetDevice() override;
     /**
      * Set transmission/receive transition gap
-     * \param ttg transmit/receive transition gap
+     * @param ttg transmit/receive transition gap
      */
     void SetTtg(uint16_t ttg);
     /**
      * Get transmission/receive transition gap
-     * \returns transmit/receive transition gap
+     * @returns transmit/receive transition gap
      */
     uint16_t GetTtg() const;
     /**
      * Set receive/transmit transition gap
-     * \param rtg receive/transmit transition gap
+     * @param rtg receive/transmit transition gap
      */
     void SetRtg(uint16_t rtg);
     /**
      * Get receive/transmit transition gap
-     * \returns receive/transmit transition gap
+     * @returns receive/transmit transition gap
      */
     uint16_t GetRtg() const;
     /**
      * Attach device to channel
-     * \param channel channel to attach
+     * @param channel channel to attach
      */
     void Attach(Ptr<WimaxChannel> channel);
     /**
      * Set the physical layer object
-     * \param phy the phy layer object to use
+     * @param phy the phy layer object to use
      */
     void SetPhy(Ptr<WimaxPhy> phy);
     /**
      * Get the physical layer object
-     * \returns a pointer to the physical layer object
+     * @returns a pointer to the physical layer object
      */
     Ptr<WimaxPhy> GetPhy() const;
 
     /**
      * Set the channel object
-     * \param wimaxChannel the channel to be used
+     * @param wimaxChannel the channel to be used
      */
     void SetChannel(Ptr<WimaxChannel> wimaxChannel);
 
     /**
      * Get the channel object by index
-     * \param index the channel index
-     * \returns the channel being used.
+     * @param index the channel index
+     * @returns the channel being used.
      */
     uint64_t GetChannel(uint8_t index) const;
 
     /**
      * Set the number of frames
-     * \param nrFrames the number of frames
+     * @param nrFrames the number of frames
      */
     void SetNrFrames(uint32_t nrFrames);
     /**
      * Get the number of frames
-     * \returns the number of frames.
+     * @returns the number of frames.
      */
     uint32_t GetNrFrames() const;
     /**
      * Set the MAC address
-     * \param address the mac address of the net device
+     * @param address the mac address of the net device
      */
     void SetMacAddress(Mac48Address address);
     /**
      * Get the MAC address
-     * \returns the mac address of the net device
+     * @returns the mac address of the net device
      */
     Mac48Address GetMacAddress() const;
     /**
      * Set the device state
-     * \param state the state
+     * @param state the state
      */
     void SetState(uint8_t state);
     /**
      * Get the device state
-     * \returns the state
+     * @returns the state
      */
     uint8_t GetState() const;
     /**
      * Get the initial ranging connection
-     * \returns the initial ranging connection
+     * @returns the initial ranging connection
      */
     Ptr<WimaxConnection> GetInitialRangingConnection() const;
     /**
      * Get the broadcast connection
-     * \returns the broadcast connection
+     * @returns the broadcast connection
      */
     Ptr<WimaxConnection> GetBroadcastConnection() const;
 
     /**
      * Set the current DCD
-     * \param dcd the DCD
+     * @param dcd the DCD
      */
     void SetCurrentDcd(Dcd dcd);
     /**
      * Get the current DCD
-     * \returns the DCD
+     * @returns the DCD
      */
     Dcd GetCurrentDcd() const;
     /**
      * Set the current UCD
-     * \param ucd the UCD
+     * @param ucd the UCD
      */
     void SetCurrentUcd(Ucd ucd);
     /**
      * Get the current UCD
-     * \returns the UCD
+     * @returns the UCD
      */
     Ucd GetCurrentUcd() const;
     /**
      * Get the connection manager of the device
-     * \returns the connection manager of the device
+     * @returns the connection manager of the device
      */
     Ptr<ConnectionManager> GetConnectionManager() const;
 
     /**
      * Set the connection manager of the device
-     * \param  connectionManager the connection manager to be installed in the device
+     * @param  connectionManager the connection manager to be installed in the device
      */
     virtual void SetConnectionManager(Ptr<ConnectionManager> connectionManager);
 
     /**
      * Get the burst profile manager
-     * \returns the burst profile manager currently installed in the device
+     * @returns the burst profile manager currently installed in the device
      */
     Ptr<BurstProfileManager> GetBurstProfileManager() const;
 
     /**
      * Set the burst profile manager
-     * \param burstProfileManager the burst profile manager to be installed on the device
+     * @param burstProfileManager the burst profile manager to be installed on the device
      */
     void SetBurstProfileManager(Ptr<BurstProfileManager> burstProfileManager);
 
     /**
      * Get the bandwidth manager on the device
-     * \returns the bandwidth manager installed on the device
+     * @returns the bandwidth manager installed on the device
      */
     Ptr<BandwidthManager> GetBandwidthManager() const;
 
     /**
      * Set the bandwidth manager on the device
-     * \param bandwidthManager the bandwidth manager to be installed on the device
+     * @param bandwidthManager the bandwidth manager to be installed on the device
      */
     void SetBandwidthManager(Ptr<BandwidthManager> bandwidthManager);
 
     /**
-     * \brief Creates the initial ranging and broadcast connections
+     * @brief Creates the initial ranging and broadcast connections
      */
     void CreateDefaultConnections();
 
@@ -243,26 +243,26 @@
 
     /**
      * Forward a packet to the next layer above the device
-     * \param packet the packet
-     * \param source the source MAC address
-     * \param dest the destination MAC address
+     * @param packet the packet
+     * @param source the source MAC address
+     * @param dest the destination MAC address
      */
     void ForwardUp(Ptr<Packet> packet, const Mac48Address& source, const Mac48Address& dest);
 
     /**
      * Enqueue a packet
-     * \param packet the packet
-     * \param hdrType the header type
-     * \param connection the wimax connection
-     * \returns true if successful
+     * @param packet the packet
+     * @param hdrType the header type
+     * @param connection the wimax connection
+     * @returns true if successful
      */
     virtual bool Enqueue(Ptr<Packet> packet,
                          const MacHeaderType& hdrType,
                          Ptr<WimaxConnection> connection) = 0;
     /**
      * Forward a packet down the stack
-     * \param burst the packet burst
-     * \param modulationType the modulation type
+     * @param burst the packet burst
+     * @param modulationType the modulation type
      */
     void ForwardDown(Ptr<PacketBurst> burst, WimaxPhy::ModulationType modulationType);
 
@@ -274,136 +274,136 @@
 
     /**
      * Set device name
-     * \param name the device name
+     * @param name the device name
      */
     virtual void SetName(const std::string name);
     /**
      * Get device name
-     * \returns the device name
+     * @returns the device name
      */
     virtual std::string GetName() const;
     /**
      * Set interface index
-     * \param index the index
+     * @param index the index
      */
     void SetIfIndex(const uint32_t index) override;
     /**
      * Get interface index
-     * \returns the interface index
+     * @returns the interface index
      */
     uint32_t GetIfIndex() const override;
     /**
      * Get the channel (this method is redundant with GetChannel())
-     * \returns the channel used by the phy layer
+     * @returns the channel used by the phy layer
      */
     virtual Ptr<Channel> GetPhyChannel() const;
     /**
      * Get the channel
-     * \returns the channel
+     * @returns the channel
      */
     Ptr<Channel> GetChannel() const override;
     /**
      * Set address of the device
-     * \param address the address
+     * @param address the address
      */
     void SetAddress(Address address) override;
     /**
      * Get address of the device
-     * \returns the address
+     * @returns the address
      */
     Address GetAddress() const override;
     /**
      * Set MTU value for the device
-     * \param mtu the MTU
-     * \returns true if successful
+     * @param mtu the MTU
+     * @returns true if successful
      */
     bool SetMtu(const uint16_t mtu) override;
     /**
      * Get MTU of the device
-     * \returns the MTU
+     * @returns the MTU
      */
     uint16_t GetMtu() const override;
     /**
      * Check if link is up
-     * \return true if the link is up
+     * @return true if the link is up
      */
     bool IsLinkUp() const override;
     /**
      * Set link change callback function
-     * \param callback the callback function
+     * @param callback the callback function
      */
     virtual void SetLinkChangeCallback(Callback<void> callback);
     /**
      * Check if broadcast enabled
-     * \returns true if broadcast
+     * @returns true if broadcast
      */
     bool IsBroadcast() const override;
     /**
      * Get broadcast address
-     * \returns the address
+     * @returns the address
      */
     Address GetBroadcast() const override;
     /**
      * Check if multicast enabled
-     * \returns true if multicast
+     * @returns true if multicast
      */
     bool IsMulticast() const override;
     /**
      * Get multicast address
-     * \returns the multicast address
+     * @returns the multicast address
      */
     virtual Address GetMulticast() const;
     /**
      * Make multicast address
-     * \param multicastGroup the IPv4 address
-     * \returns the multicast address
+     * @param multicastGroup the IPv4 address
+     * @returns the multicast address
      */
     virtual Address MakeMulticastAddress(Ipv4Address multicastGroup) const;
     /**
      * Check if device is a point-to-point device
-     * \returns true if point to point
+     * @returns true if point to point
      */
     bool IsPointToPoint() const override;
     /**
      * Send function
-     * \param packet the packet
-     * \param dest the destination address
-     * \param protocolNumber the protocol number
-     * \returns true if successful
+     * @param packet the packet
+     * @param dest the destination address
+     * @param protocolNumber the protocol number
+     * @returns true if successful
      */
     bool Send(Ptr<Packet> packet, const Address& dest, uint16_t protocolNumber) override;
     /**
      * Set node pointer
-     * \param node the node pointer
+     * @param node the node pointer
      */
     void SetNode(Ptr<Node> node) override;
     /**
      * Get node pointer
-     * \returns the node pointer
+     * @returns the node pointer
      */
     Ptr<Node> GetNode() const override;
     /**
      * Check if device needs ARP
-     * \returns true if ARP required
+     * @returns true if ARP required
      */
     bool NeedsArp() const override;
     /**
      * Set receive callback function
-     * \param cb the receive callback function
+     * @param cb the receive callback function
      */
     void SetReceiveCallback(NetDevice::ReceiveCallback cb) override;
     /**
      * Add link change callback function
-     * \param callback the link change callback function
+     * @param callback the link change callback function
      */
     void AddLinkChangeCallback(Callback<void> callback) override;
     /**
      * Send a packet
-     * \param packet the packet
-     * \param source the source address
-     * \param dest the destination address
-     * \param protocolNumber the protocol number
-     * \returns true if successful
+     * @param packet the packet
+     * @param source the source address
+     * @param dest the destination address
+     * @param protocolNumber the protocol number
+     * @returns true if successful
      */
     bool SendFrom(Ptr<Packet> packet,
                   const Address& source,
@@ -411,26 +411,26 @@
                   uint16_t protocolNumber) override;
     /**
      * Set promiscuous receive callback function
-     * \param cb the promiscuous mode callback
+     * @param cb the promiscuous mode callback
      */
     void SetPromiscReceiveCallback(PromiscReceiveCallback cb) override;
     /**
      * Get promiscuous receive callback function
-     * \returns the promiscuous mode callback
+     * @returns the promiscuous mode callback
      */
     NetDevice::PromiscReceiveCallback GetPromiscReceiveCallback();
     /**
      * Check if device supports the SendFrom method
-     * \returns true if SendFrom is supported
+     * @returns true if SendFrom is supported
      */
     bool SupportsSendFrom() const override;
 
     /**
      * TracedCallback signature for packet and Mac48Address.
      *
-     * \param [in] packet The packet.
-     * \param [in] mac The Mac48Address.
-     * \deprecated The `const Mac48Address &` argument is deprecated
+     * @param [in] packet The packet.
+     * @param [in] mac The Mac48Address.
+     * @deprecated The `const Mac48Address &` argument is deprecated
      * and will be changed to \c Mac48Address in a future release.
      * The TracedCallback signature will then match \c Packet::Mac48Address
      * and this typedef can be removed.
@@ -438,20 +438,20 @@
     // NS_DEPRECATED() - tag for future removal
     typedef void (*TxRxTracedCallback)(Ptr<const Packet> packet, const Mac48Address& mac);
     /**
-     * \deprecated The `const Mac48Address &` argument is deprecated
+     * @deprecated The `const Mac48Address &` argument is deprecated
      * and will be changed to \c Mac48Address in a future release.
      * The TracedCallback signature will then match \c Packet::Mac48Address
      * and this typedef can be removed.
-     * \todo This member variable should be private.
+     * @todo This member variable should be private.
      */
     // NS_DEPRECATED() - tag for future removal
     TracedCallback<Ptr<const Packet>, const Mac48Address&> m_traceRx;
     /**
-     * \deprecated The `const Mac48Address &` argument is deprecated
+     * @deprecated The `const Mac48Address &` argument is deprecated
      * and will be changed to \c Mac48Address in a future release.
      * The TracedCallback signature will then match \c Packet::Mac48Address
      * and this typedef can be removed.
-     * \todo This member variable should be private.
+     * @todo This member variable should be private.
      */
     // NS_DEPRECATED() - tag for future removal
     TracedCallback<Ptr<const Packet>, const Mac48Address&> m_traceTx;
@@ -463,12 +463,12 @@
 
     /**
      * Check if device is promiscuous
-     * \returns true if promiscuous
+     * @returns true if promiscuous
      */
     bool IsPromisc();
     /**
      * Notify promiscuous trace of a packet arrival
-     * \param p the packet
+     * @param p the packet
      */
     void NotifyPromiscTrace(Ptr<Packet> p);
 
@@ -477,7 +477,7 @@
     WimaxNetDevice(const WimaxNetDevice&);
     /**
      * assignment operator (disabled)
-     * \returns the wimax net device
+     * @returns the wimax net device
      */
     WimaxNetDevice& operator=(const WimaxNetDevice&);
 
@@ -488,11 +488,11 @@
 
     /**
      * Send a packet
-     * \param packet the packet
-     * \param source the source MAC address
-     * \param dest the destination MAC address
-     * \param protocolNumber the protocol number
-     * \returns true if successful
+     * @param packet the packet
+     * @param source the source MAC address
+     * @param dest the destination MAC address
+     * @param protocolNumber the protocol number
+     * @returns true if successful
      */
     virtual bool DoSend(Ptr<Packet> packet,
                         const Mac48Address& source,
@@ -500,17 +500,17 @@
                         uint16_t protocolNumber) = 0;
     /**
      * Receive a packet
-     * \param packet the packet received
+     * @param packet the packet received
      */
     virtual void DoReceive(Ptr<Packet> packet) = 0;
     /**
      * Get the channel
-     * \returns the wimax channel
+     * @returns the wimax channel
      */
     virtual Ptr<WimaxChannel> DoGetChannel() const;
     /**
      * Receive a packet burst
-     * \param burst the packet burst
+     * @param burst the packet burst
      */
     void Receive(Ptr<const PacketBurst> burst);
     /// Initialize channels function
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wimax/model/wimax-phy.cc ns-3.44/src/wimax/model/wimax-phy.cc
--- ns-3.43/src/wimax/model/wimax-phy.cc	2024-10-09 16:41:10.148656800 -0700
+++ ns-3.44/src/wimax/model/wimax-phy.cc	2025-03-09 16:55:49.819372700 -0700
@@ -73,8 +73,8 @@
       m_frameDuration(Seconds(0.01)),
       m_frequency(5000000),
       m_channelBandwidth(10000000),
-      m_psDuration(Seconds(0)),
-      m_symbolDuration(Seconds(0)),
+      m_psDuration(),
+      m_symbolDuration(),
       m_psPerSymbol(0),
       m_psPerFrame(0),
       m_symbolsPerFrame(0)
